Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations

AddCephPrimaryStoragePool

AddCephPrimaryStoragePool

POST/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/pools

Operation ID

AddCephPrimaryStoragePool

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • primaryStorageUuid
    StringRequired

    The UUID of the Ceph primary storage.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • poolName
      StringRequired

      The pool name.

    • aliasName
      String

      Optional.

    • description
      String

      Optional. The detailed description of the resource.

    • isCreate
      boolean

      Optional. Creates an extension pool.

    • type
      StringRequired

      The type of the Ceph primary storage pool.

    • resourceUuid
      String

      Optional.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The short description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    CephPrimaryStoragePoolInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • primaryStorageUuid
      StringRequired

      The UUID of the Ceph primary storage.

    • poolName
      StringRequired

      The pool name.

    • aliasName
      StringRequired

      The alias name.

    • description
      StringRequired

      The detailed description of the resource.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      StringRequired

      The resource type.

    • availableCapacity
      LongRequired

      The available capacity.

    • usedCapacity
      LongRequired

      The used capacity.

    • replicatedSize
      IntegerRequired

      The replicated size.